[Deprecated]: V9.0
get
/ec-designer-svc/rest/v9.0/studies/{studyId}/versions/{version}/forms/{formId}/visits
Deprecated: Use latest version instead. Retrieves visits associated with a specific form in a study.
Request
Path Parameters
-
formId(required): string(uuid)
Form ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
2F9A6C7E1B8F4D56A23C9F3A0C7D4E11 -
studyId(required): string(uuid)
Study ID (UUID, 32-character uppercase hexadecimal string). Required.Example:
F054C951EB74443C93716CA714AB686E -
version(required): string
Study version path segment. Required. Example: "1.0.0.1".Example:
1.0.0.1
Query Parameters
-
mode(required): string
Study mode for data classifications. Allowed values: design (draft design data), test (testing data), training (training data), active (approved production data), all (all modes).Default Value:
designAllowed Values:[ "test", "training", "active", "design" ]Example:design -
response: string
Response type to query visit forms Optional.Default Value:Allowed Values:
[ "", "summary", "summaryLite" ]Example:summary
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation.
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormVisitDto v9.0
Title:
FormVisitDto v9.0Form Visits Information
Nested Schema : FormVisitDto v9.0
Type:
objectTitle:
FormVisitDto v9.0Form Visits Information
Show Source
-
forms: array
forms
List of forms
-
id: string
(uuid)
Visit GUID
Nested Schema : forms
Type:
arrayList of forms
Show Source
-
Array of:
object VisitFormDto v9.0
Title:
VisitFormDto v9.0Visit design forms.
Nested Schema : VisitFormDto v9.0
Type:
objectTitle:
VisitFormDto v9.0Visit design forms.
Show Source
-
fields: integer
(int32)
Number of form's fieldsExample:
5 -
formId: string
(uuid)
Visit Design form GUID
-
formRefName: string
Form RefNameExample:
Demography -
formTitle: string
Form titleExample:
Demography
Examples
500 Response
Returned when the request cannot be completed due to validation failure, authorization failure, or an unexpected server-side condition.
Nested Schema : details
Type:
object